%define		php_name	php%{?php_suffix}
%define		modname		uploadprogress
%define		status		stable
Summary:	%{modname} - An extension to track progress of a file upload
Summary(pl.UTF-8):	%{modname} - rozszerzenie do śledzenia postępu przesyłania pliku
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.3.1
Release:	7
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	13fdc39d68e131f37c4e18c3f75aeeda
URL:		http://pecl.php.net/package/uploadprogress/
BuildRequires:	%{php_name}-devel >= 4:5.2.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-uploadprogress < 1.0.3.1-6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An extension to track progress of a file upload.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Rozszerzenie do śledzenia postępu przesyłania pliku na serwer.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc examples
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Mon May 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-uploadprogress.git;a=log;h=auto/th/php-pecl-uploadprogress-1.0.3.1-7

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 1baade3
- obsolete old php name
- release 7 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 5695079
- php 5.5 rebuild
- release 6 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 0c5aa2f
- provide php(extname) to really be supporting multiple php versions

* Fri Aug 02 2013 Marcin Krol <hawk@tld-linux.org> 51567ec
- release 4 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> c93528a
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> ef42acc
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 6409a9d
- release 2 (by relup.sh)

* Thu Mar 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> eb5c3cf
- up to 1.0.3.1

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e3b44cd
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 06821c6
- release 2

* Sun Jun 21 2009 Adam Gołębiowski <adamg@pld-linux.org> fc678bd
- updated to 1.0.1

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> ddcbaff
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Mon Mar 16 2009 duddits <duddits@pld-linux.org> 8816c81
- up to 1.0.0

* Sun Feb 01 2009 Adam Gołębiowski <adamg@pld-linux.org> 6d08946
- package examples; release 2

* Fri Jan 23 2009 Adam Gołębiowski <adamg@pld-linux.org> 1eed854
- updated to 0.9.2

* Sun Aug 31 2008 Adam Gołębiowski <adamg@pld-linux.org> dbbd2ae
- updated to 0.9.1

* Sat Jul 19 2008 Adam Gołębiowski <adamg@pld-linux.org> 01c00ee
- updated to 0.9.0

* Tue Feb 12 2008 Elan Ruusamäe <glen@pld-linux.org> 42eabe1
- package .ini file; rel 1

* Thu May 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 55deca4
- added md5, fixed URL

* Thu May 24 2007 Jakub Bogusz <qboosh@pld-linux.org> c9b0d11
- pl

